library(tidyverse)

# The same code is provided below for 95% Theory-based T tests for each of the soda company examples.
# Leave the sample you want to test un-commented.

soda_sample <- read_csv("http://www.cknuckles.com/statsprogramming/data/soda_sample_largess.csv")
#soda_sample <- read_csv("http://www.cknuckles.com/statsprogramming/data/soda_sample_veracious.csv")
#soda_sample <- read_csv("http://www.cknuckles.com/statsprogramming/data/soda_sample_curmudgeon.csv")


ggplot(data = soda_sample, mapping = aes(x = ounces)) +
  geom_histogram(bins=20, color = "white")

# Sample Stats and Sampling Dist SE (theory-based)
soda_sample %>%
  summarize(
    sample_mean = mean(ounces),
    sample_sd = sd(ounces),
    n = n(),
    SE = sample_sd/sqrt(n)
  )

# 95% CI T multiplier
t_alpha2 <- qt(.975, df=49)  # .975 = 1 -.025
t_alpha2

# Test Statistic
t_test_stat <- (12.0422 - 12)/(.1122/sqrt(50))
t_test_stat


# Null Hypothesis: μ = 12
# Alternative Hypothesis:  μ ≠ 12
########################################################################################

# Two-sided 95% T test results
t.test(soda_sample$ounces, alternative = "two.sided", mu = 12 , conf.level = 0.95)


# One-sided (left) 95% T test results
# Changes the outcome of the soda_sample_veracious test
# t.test(soda_sample$ounces, alternative = "less", mu = 12 , conf.level = 0.95)

